Bug 1801519 (golang-github-google-licenseclassifier) - Review Request: golang-github-google-licenseclassifier - A License Classifier [NEEDINFO]
Summary: Review Request: golang-github-google-licenseclassifier - A License Classifier
Keywords:
Status: ASSIGNED
Alias: golang-github-google-licenseclassifier
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2020-02-11 04:33 UTC by Robert-André Mauchin
Modified: 2020-03-04 17:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
quantum.analyst: fedora-review?
zebob.m: needinfo? (quantum.analyst)


Attachments (Terms of Use)

Description Robert-André Mauchin 2020-02-11 04:33:13 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/golang-github-google-licenseclassifier.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/golang-github-google-licenseclassifier-0-0.1.20200211git9dfa8d8.fc33.src.rpm

Description:
 The license classifier is a library and set of tools that can analyze text to determine what type of license it contains. It searches for license texts in a file and compares them to an archive of known licenses. These files could be, e.g., LICENSE files with a single or multiple licenses in it, or source code files with the license text in a comment.  A "confidence level" is associated with each result indicating how close the match was. A confidence level of 1.0 indicates an exact match, while a confidence level of 0.0 indicates that no license was able to match the text.

Fedora Account System Username: eclipseo

Comment 1 Elliott Sales de Andrade 2020-02-21 08:14:41 UTC
Technically many of these licenses are themselves "All Rights Reserved", and
part of the data, so not covered by the license of the code itself. I'm not
sure how to tag this in License though.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file identify_license is not marked as %license
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/LicensingGuidelines/#_license_text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated", "*No
     copyright* Apache License (v2.0)", "Apache License (v2.0)", "Apache
     License (v2.0) Creative Commons Attribution-NonCommercial Public
     License (v2.0)", "do What The Fuck you want to Public License Apache
     License (v2.0) GNU Affero General Public License", "Apache License
     (v2.0) Creative Commons Attribution Public License (v1.0)", "*No
     copyright* Academic Free License (v1.1)", "*No copyright* Academic
     Free License (v1.2)", "Academic Free License (v1.2)", "*No copyright*
     Academic Free License (v2.0)", "Academic Free License (v2.0)", "*No
     copyright* Academic Free License (v2.1)", "Academic Free License
     (v2.1)", "*No copyright* Academic Free License (v3.0)", "Academic Free
     License (v3.0)", "GNU Affero General Public License (v1)", "*No
     copyright* AGPL (v3 or later)", "GNU Affero General Public License
     (v3)", "Apache License (v1.1)", "*No copyright* Artistic License",
     "Artistic License (v2.0)", "*No copyright* BSD 2-clause "Simplified"
     License", "*No copyright* BSD 3-clause "New" or "Revised" License",
     "BSD 3-clause "New" or "Revised" License", "*No copyright* BSD
     4-clause "Original" or "Old" License", "*No copyright* GNU General
     Public License", "*No copyright* Boost Software License (v1.0) Boost
     Software License 1.0", "*No copyright* Beerware License", "Creative
     Commons Attribution Public License (v1.0)", "Creative Commons
     Attribution Public License (v2.0)", "Creative Commons Attribution
     Public License (v2.5)", "Creative Commons Attribution Public License
     (v4.0)", "Creative Commons Attribution-NonCommercial Public License
     (v1.0)", "Creative Commons Attribution-NonCommercial Public License
     (v2.0)", "Creative Commons Attribution-NonCommercial Public License
     (v2.5)", "Creative Commons Attribution-NonCommercial Public License
     (v4.0)", "Creative Commons Attribution-NonCommercial-NoDerivatives
     Public License (v1.0)", "Creative Commons Attribution-NonCommercial-
     NoDerivatives Public License (v2.0)", "Creative Commons Attribution-
     NonCommercial-NoDerivatives Public License (v2.5)", "Creative Commons
     Attribution-NonCommercial-NoDerivatives Public License (v4.0)",
     "Creative Commons Attribution-NonCommercial-ShareAlike Public License
     (v1.0)", "Creative Commons Attribution-NonCommercial-ShareAlike Public
     License (v2.0)", "Creative Commons Attribution-NonCommercial-
     ShareAlike Public License (v2.5)", "Creative Commons Attribution-
     NonCommercial-ShareAlike Public License (v4.0)", "Creative Commons
     Attribution-NoDerivatives Public License (v1.0)", "Creative Commons
     Attribution-NoDerivatives Public License (v2.0)", "Creative Commons
     Attribution-NoDerivatives Public License (v2.5)", "Creative Commons
     Attribution-NoDerivatives Public License (v4.0)", "Creative Commons
     Attribution-ShareAlike Public License (v1.0)", "Creative Commons
     Attribution-ShareAlike Public License (v2.0)", "Creative Commons
     Attribution-ShareAlike Public License (v2.5)", "Creative Commons
     Attribution-ShareAlike Public License (v4.0)", "*No copyright*
     Creative Commons CC0 Public License (v1.0)", "Common Development and
     Distribution License (v1.0)", "Common Development and Distribution
     License (v1.1)", "*No copyright* Mozilla Public License (v1.1)",
     "Eclipse Public License (v1.0)", "*No copyright* Eclipse Public
     License (v2.0)", "FreeType License", "*No copyright* GPL (v1 or
     later)", "*No copyright* GPL (v2 or later)", "*No copyright* GPL (v3
     or later)", "*No copyright* ISC License", "GNU Lesser General Public
     License (v2)", "*No copyright* GNU Lesser General Public License (v2.1
     or later)", "*No copyright* GNU Lesser General Public License (v3 or
     later)", "*No copyright* Expat License", "*No copyright* Mozilla
     Public License (v1.0)", "*No copyright* Mozilla Public License
     (v2.0)", "Microsoft Public License", "Mozilla Public License (v1.1)",
     "*No copyright* SIL Open Font License (v1.1)", "Academic Free
     License", "PostgreSQL License", "Python Software Foundation License
     version 2", "Q Public License (v1.0)", "SGI Free Software License B
     (v1.0)", "SGI Free Software License B (v1.1)", "*No copyright* SGI
     Free Software License B (v1.1)", "SGI Free Software License B (v2.0)",
     "Unicode Terms of Use", "do What The Fuck you want to Public License
     (v2)", "Expat License", "*No copyright* zlib/libpng license",
     "zlib/libpng License with Acknowledgement". 93 files have unknown
     license. Detailed output of licensecheck in
     1801519-golang-github-google-licenseclassifier/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: golang-github-google-licenseclassifier (description)
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[?]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-google-licenseclassifier-0-0.1.20200211git9dfa8d8.fc33.x86_64.rpm
          golang-github-google-licenseclassifier-0-0.1.20200211git9dfa8d8.fc33.src.rpm
golang-github-google-licenseclassifier.x86_64: W: no-manual-page-for-binary identify_license
golang-github-google-licenseclassifier.x86_64: W: no-manual-page-for-binary license_serializer
golang-github-google-licenseclassifier.src: E: specfile-error warning: -u use in %forgemeta is deprecated, use -z instead to select a separate set of rpm variables!
2 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: golang-github-google-licenseclassifier-debuginfo-0-0.1.20200211git9dfa8d8.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
golang-github-google-licenseclassifier.x86_64: W: no-manual-page-for-binary identify_license
golang-github-google-licenseclassifier.x86_64: W: no-manual-page-for-binary license_serializer
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Source checksums
----------------
https://github.com/google/licenseclassifier/archive/9dfa8d8474eb60a626d9f8439362e49b1c3dca54/licenseclassifier-9dfa8d8474eb60a626d9f8439362e49b1c3dca54.tar.gz :
  CHECKSUM(SHA256) this package     : b590faef458d89340445206ba728ab6218bdf6923521a1c0101d8a78676e9aed
  CHECKSUM(SHA256) upstream package : b590faef458d89340445206ba728ab6218bdf6923521a1c0101d8a78676e9aed


Requires
--------
golang-github-google-licenseclassifier (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
golang-github-google-licenseclassifier:
    golang-github-google-licenseclassifier
    golang-github-google-licenseclassifier(x86-64)



Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1801519 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Haskell, R, PHP, Java, Perl, fonts, C/C++, Ocaml, Python, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Robert-André Mauchin 2020-02-21 16:02:30 UTC
I've only kept the license of the code, seems to me it's a bit excessive to include the license of the licenses.

Comment 3 Robert-André Mauchin 2020-03-04 17:50:01 UTC
Do I need to do something else?


Note You need to log in before you can comment on or make changes to this bug.